org.apache.xalan.xsltc.dom

## Class SAXImpl.NamespaceWildcardIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
    - - org.apache.xalan.xsltc.dom.SAXImpl.NamespaceWildcardIterator

- All Implemented Interfaces:
    java.lang.Cloneable, DTMAxisIterator
  Enclosing class:
    SAXImpl

      public final class SAXImpl.NamespaceWildcardIterator
      extends DTMDefaultBaseIterators.InternalAxisIteratorBase

  Iterator that handles node tests that test for a namespace, but have a wild card for the local name of the node, i.e., node tests of the form :::*

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

      `END`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXImpl.NamespaceWildcardIterator(int axis, int nsType)` Constructor NamespaceWildcard

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTMAxisIterator` | `cloneIterator()` Returns a deep copy of this iterator.
    `void` | `gotoMark()` Restores the current node remembered by setMark().
    `boolean` | `isReverse()` True if this iterator has a reversed axis.
    `int` | `next()` Get the next node in the iteration.
    `void` | `setMark()` Remembers the current node for the next call to gotoMark().
    `DTMAxisIterator` | `setStartNode(int node)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

    - ### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

      `getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, reset, setRestartable`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXImpl.NamespaceWildcardIterator

          public SAXImpl.NamespaceWildcardIterator(int axis,
                                           int nsType)

      Constructor NamespaceWildcard
      Parameters:
        `axis` - The axis that this iterator will traverse
        `nsType` - The namespace type index

  - ### Method Detail

    - #### setStartNode

          public DTMAxisIterator setStartNode(int node)

      Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
      Parameters:
        `node` - Sets the root of the iteration.
      Returns:
        A DTMAxisIterator set to the start of the iteration.

    - #### next

          public int next()

      Get the next node in the iteration.
      Returns:
        The next node handle in the iteration, or END.

    - #### cloneIterator

          public DTMAxisIterator cloneIterator()

      Returns a deep copy of this iterator. The cloned iterator is not reset.
      Specified by:
        `cloneIterator` in interface `DTMAxisIterator`
      Overrides:
        `cloneIterator` in class `DTMAxisIteratorBase`
      Returns:
        a deep copy of this iterator.

    - #### isReverse

          public boolean isReverse()

      True if this iterator has a reversed axis.
      Specified by:
        `isReverse` in interface `DTMAxisIterator`
      Overrides:
        `isReverse` in class `DTMAxisIteratorBase`
      Returns:
        `true` if this iterator is a reversed axis.

    - #### setMark

          public void setMark()

      Description copied from class: `DTMDefaultBaseIterators.InternalAxisIteratorBase`
      Remembers the current node for the next call to gotoMark(). %REVIEW% Should this save _position too?
      Specified by:
        `setMark` in interface `DTMAxisIterator`
      Overrides:
        `setMark` in class `DTMDefaultBaseIterators.InternalAxisIteratorBase`

    - #### gotoMark

          public void gotoMark()

      Description copied from class: `DTMDefaultBaseIterators.InternalAxisIteratorBase`
      Restores the current node remembered by setMark(). %REVEIW% Should this restore _position too?
      Specified by:
        `gotoMark` in interface `DTMAxisIterator`
      Overrides:
        `gotoMark` in class `DTMDefaultBaseIterators.InternalAxisIteratorBase`

Copyright © 2014 Apache XML Project. All Rights Reserved.